Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] mutt and gpg
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
rican-linux
n00b
n00b


Joined: 13 Apr 2015
Posts: 33

PostPosted: Tue Jul 05, 2016 1:09 am    Post subject: [SOLVED] mutt and gpg Reply with quote

I have mutt installed and connecting to gmail. however I am getting this error

Code:

Error in /home/rican-linux/.mutt/gpg.rc, line 89: pgp_decryption_okay: unknown variable
Error in /home/rican-linux/.mutt/muttrc, line 95: source: errors in /home/rican-linux/.mutt/gpg.rc
source: errors in /home/rican-linux/.mutt/muttrc


These are the use flags I have enabled

Code:

rican-linux@G5-Gentoo ~ $ cat /etc/portage/package.use/mutt
mail-client/mutt imap smtp pop gnutls mbox gpg smime sasl


Here is what is actually enabled

Code:

rican-linux@G5-Gentoo ~ $ emerge -pv mutt

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] mail-client/mutt-1.5.24-r2::gentoo  USE="berkdb crypt gdbm gpg imap mbox nls pop sasl smime smtp ssl -debug -doc (-gnutls) -idn -kerberos (-libressl) -nntp -qdbm (-selinux) -sidebar -slang -tokyocabinet" 0 KiB

rican-linux@G5-Gentoo ~ $ mutt -v
Mutt 1.5.24 (2015-08-30, Gentoo 1.5.24-r2)
Copyright (C) 1996-2009 Michael R. Elkins and others.
Mutt comes with ABSOLUTELY NO WARRANTY; for details type `mutt -vv'.
Mutt is free software, and you are welcome to redistribute it
under certain conditions; type `mutt -vv' for details.

System: Linux 4.1.15-gentoo-r1 (ppc64)
ncurses: ncurses 5.9.20110404 (compiled with 5.9)
hcache backend: GDBM version 1.11. 25/12/2013 (built Mar 17 2016 03:28:30)

Compiler:
Using built-in specs.
COLLECT_GCC=/usr/powerpc-unknown-linux-gnu/gcc-bin/4.9.3/powerpc-unknown-linux-gnu-gcc
COLLECT_LTO_WRAPPER=/usr/libexec/gcc/powerpc-unknown-linux-gnu/4.9.3/lto-wrapper
Target: powerpc-unknown-linux-gnu
Configured with: /var/tmp/portage/sys-devel/gcc-4.9.3/work/gcc-4.9.3/configure --host=powerpc-unknown-linux-gnu --build=powerpc-unknown-linux-gnu --prefix=/usr --bindir=/usr/powerpc-unknown-linux-gnu/gcc-bin/4.9.3 --includedir=/usr/lib/gcc/powerpc-unknown-linux-gnu/4.9.3/include --datadir=/usr/share/gcc-data/powerpc-unknown-linux-gnu/4.9.3 --mandir=/usr/share/gcc-data/powerpc-unknown-linux-gnu/4.9.3/man --infodir=/usr/share/gcc-data/powerpc-unknown-linux-gnu/4.9.3/info --with-gxx-include-dir=/usr/lib/gcc/powerpc-unknown-linux-gnu/4.9.3/include/g++-v4 --with-python-dir=/share/gcc-data/powerpc-unknown-linux-gnu/4.9.3/python --enable-languages=c,c++,fortran --enable-obsolete --enable-secureplt --disable-werror --with-system-zlib --enable-nls --without-included-gettext --enable-checking=release --with-bugurl=https://bugs.gentoo.org/ --with-pkgversion='Gentoo 4.9.3 p1.5, pie-0.6.4' --enable-libstdcxx-time --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --disable-multilib --enable-altivec --disable-fixed-point --enable-targets=all --disable-libgcj --enable-libgomp --disable-libmudflap --disable-libssp --disable-libcilkrts --disable-vtable-verify --disable-libvtv --enable-lto --without-cloog --enable-libsanitizer
Thread model: posix
gcc version 4.9.3 (Gentoo 4.9.3 p1.5, pie-0.6.4)

Configure options: '--prefix=/usr' '--build=powerpc-unknown-linux-gnu' '--host=powerpc-unknown-linux-gnu' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--datadir=/usr/share' '--sysconfdir=/etc' '--localstatedir=/var/lib' '--disable-dependency-tracking' '--disable-silent-rules' '--libdir=/usr/lib' '--enable-pgp' '--disable-debug' '--enable-gpgme' '--enable-imap' '--enable-nls' '--disable-nntp' '--enable-pop' '--enable-smime' '--enable-smtp' '--without-idn' '--without-gss' '--with-curses=/usr' '--enable-compressed' '--enable-external-dotlock' '--enable-nfs-fix' '--sysconfdir=/etc/mutt' '--with-docdir=/usr/share/doc/mutt-1.5.24-r2' '--with-regex' '--with-exec-shell=/bin/sh' '--disable-fcntl' '--enable-flock' '--enable-hcache' '--without-tokyocabinet' '--without-qdbm' '--with-gdbm' '--without-bdb' '--with-ssl' '--with-sasl' '--with-mailpath=/var/spool/mail' 'build_alias=powerpc-unknown-linux-gnu' 'host_alias=powerpc-unknown-linux-gnu' 'CFLAGS=-O2 -pipe -mcpu=970' 'LDFLAGS=-Wl,-O1 -Wl,--as-needed'

Compilation CFLAGS: -Wall -pedantic -Wno-long-long -O2 -pipe -mcpu=970

Compile options:
-DOMAIN
-DEBUG
-HOMESPOOL  +USE_SETGID  +USE_DOTLOCK  +DL_STANDALONE  -USE_FCNTL  +USE_FLOCK   
+USE_POP  -USE_NNTP  +USE_IMAP  +USE_SMTP 
+USE_SSL_OPENSSL  -USE_SSL_GNUTLS  +USE_SASL  -USE_GSS  +HAVE_GETADDRINFO 
-HAVE_REGCOMP  +USE_GNU_REGEX  +COMPRESSED 
+HAVE_COLOR  +HAVE_START_COLOR  +HAVE_TYPEAHEAD  +HAVE_BKGDSET 
+HAVE_CURS_SET  +HAVE_META  +HAVE_RESIZETERM 
+CRYPT_BACKEND_CLASSIC_PGP  +CRYPT_BACKEND_CLASSIC_SMIME  +CRYPT_BACKEND_GPGME 
-EXACT_ADDRESS  -SUN_ATTACHMENT 
+ENABLE_NLS  -LOCALES_HACK  +HAVE_WC_FUNCS  +HAVE_LANGINFO_CODESET  +HAVE_LANGINFO_YESEXPR 
+HAVE_ICONV  -ICONV_NONTRANS  -HAVE_LIBIDN  +HAVE_GETSID  +USE_HCACHE 
-ISPELL
SENDMAIL="/usr/sbin/sendmail"
MAILPATH="/var/spool/mail"
PKGDATADIR="/usr/share/mutt"
SYSCONFDIR="/etc/mutt"
EXECSHELL="/bin/sh"
-MIXMASTER
To contact the developers, please mail to <mutt-dev@mutt.org>.
To report a bug, please visit http://bugs.mutt.org/.

fg.gpg_smime_output
patch-1.5.11.vk.pgp_verbose_mime
cd.trash_folder.3.4
dgc.subjrx
fg.change_folder_next
fg.smarttime
vvv.initials
vvv.quote
vvv.nntp
patch-1.5.20hg.pdmef.progress.vl.2
rr.compressed
patch-1.5.4.lpr.collapse_flagged Lukas P. Ruf <lukas.ruf@lpr.ch>


I am seeing that gnutls is not enabled. Would that be the issue?


Last edited by rican-linux on Tue Jul 05, 2016 7:49 am; edited 1 time in total
Back to top
View user's profile Send private message
v_andal
Guru
Guru


Joined: 26 Aug 2008
Posts: 521
Location: Germany

PostPosted: Tue Jul 05, 2016 7:06 am    Post subject: Reply with quote

The pgp_decryption_okay was added to version 1.6 of mutt. You are installing version 1.5.24-r2. Try to install non-stable version.
Back to top
View user's profile Send private message
rican-linux
n00b
n00b


Joined: 13 Apr 2015
Posts: 33

PostPosted: Tue Jul 05, 2016 7:49 am    Post subject: Reply with quote

v_andal wrote:
The pgp_decryption_okay was added to version 1.6 of mutt. You are installing version 1.5.24-r2. Try to install non-stable version.


Thanks! that worked :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum